| Home | Libraries | People | FAQ | More

## Macro BOOST_VMD_SEQ_POP_BACK

BOOST_VMD_SEQ_POP_BACK — pops an element from the end of a seq.

## Synopsis

    // In header: <boost/vmd/seq/pop_back.hpp>

    BOOST_VMD_SEQ_POP_BACK(seq)

## Description

seq = seq to pop an element from.

If the seq is an empty seq the result is undefined. If the seq is a single element the result is an empty seq. Otherwise the result is a seq after removing the last element.